org.richfaces.fragment.switchable

## Class AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions

- java.lang.Object
- - org.richfaces.fragment.switchable.AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Direct Known Subclasses:
    RichFacesAccordion.AdvancedAccordionInteractions, RichFacesTabPanel.AdvancedTabPanelInteractions
  Enclosing class:
    AbstractSwitchableComponent<T extends ComponentContainer>

      public abstract class AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract com.google.common.base.Predicate<org.openqa.selenium.WebDriver>` | `getConditionForContentSwitched(String textToContain)`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `protected abstract org.openqa.selenium.WebElement` | `getRootOfContainerElement()`
    `protected abstract List<org.openqa.selenium.WebElement>` | `getSwitcherControllerElements()`
    `boolean` | `isVisible()`
    `void` | `setSwitchType()`
    `void` | `setSwitchType(SwitchType newSwitchType)`
    `protected void` | `waitUntilContentSwitched(String textToContain)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions

          public AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions()

  - ### Method Detail

    - #### setSwitchType

          public void setSwitchType()

    - #### setSwitchType

          public void setSwitchType(SwitchType newSwitchType)

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getRootOfContainerElement

          protected abstract org.openqa.selenium.WebElement getRootOfContainerElement()

    - #### getSwitcherControllerElements

          protected abstract List<org.openqa.selenium.WebElement> getSwitcherControllerElements()

    - #### getConditionForContentSwitched

          protected abstract com.google.common.base.Predicate<org.openqa.selenium.WebDriver> getConditionForContentSwitched(String textToContain)

    - #### waitUntilContentSwitched

          protected void waitUntilContentSwitched(String textToContain)

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.